BBG Bugs - Feature #3178

[HR-Time Data]pembuatan generate quota cuti massal secara otomatis

10/30/2024 09:35 AM - Muhammad Bintar

Status: QA Test

Priority: Urgent

Assignee: Muhammad Bintar
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

10/30/2024
11/15/2024
0%

0.00 hour
2.00 hours

Description

dear tim developer mohon supportnay untuk pembuatan generate quota cuti massal secara otomatis setiap awal tahun untuk BBG.

http:/remote.minovais.com:61123/
database sql
remote.minovais.com, 1452
bbg_prod

History

#1 - 10/31/2024 11:52 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 11/01/2024 10:47 AM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Ini flow nya seperti apa ya? tolong di jelasin ya. Apa di klien lain sudah pernah ada atau bim?

#3 - 11/11/2024 11:48 AM - shofwan shiddiq
- Status changed from QA Test to Assigned

#4 - 11/11/2024 11:50 AM - Kezia Pawitra Yulianti
- Due date changed from 12/01/2024 to 11/15/2024
- Assignee changed from Muhammad Bintar to Mohammad Daud

- Priority changed from Normal to Urgent

tolong diberi penjelasan dl ya ketentuan2 nya bagaimana
Tks

#5 - 11/12/2024 10:01 AM - Mohammad Daud

- Assignee changed from Mohammad Daud to shofwan shiddiq

#6 - 11/12/2024 11:57 AM - Muhammad Bintar

Terkait dengan Pengembangan feature generate Plafon Cuti otomatis maka untuk Feture tersebut akan mengenerate 2 Absen Quota Type yaitu;

Cuti Tahunan dan Cuti Masa Kerja dengan ketentuan sbb:
1. Cuti Tahunan

- Generate untuk karyawan dengan Employee Status Active dan employee Type Permanent dari Master data Assignment

- Original Quota yang terbentuk sebanyak 12 HK

- Masa berlaku Quota selama 1 tahun dimulai dari 1 Januari
- Periode End Deduction sampai dengan 31 Maret 2024

2. Cuti Masa Kerja

- Generate untuk karyawan yang mempunyai masa kerja 5 tahun dari tgl Hiring di Master Data Assignment

- Original Quota terbentuk sebanyak 5 HK
- Masa berlaku Quota selama 5 tahun

- Periode End Deduction sampai dengan H-1 Masa kerja 5 tahun berikutnya

#7 - 11/12/2024 02:52 PM - shofwan shiddiq

- File GenerateAbsenQuotaYear.txt added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

#8 - 11/12/2024 02:53 PM - shofwan shiddiq

- Assignee changed from Muhammad Bintar to shofwan shiddiq

#9 - 11/12/2024 02:56 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Assigned

#10 - 11/12/2024 04:33 PM - shofwan shiddiq
- File GenerateAbsenQuotaYear.txt added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar
SP: GenerateAbsenQuotaCutiTahunan

Dear Mas Bintar, berikut sp untuk generate cuti tahunan di awal tahun dengan requirement yg di tulis diatas

e PASTIKAN QUERY DIJALANKAN DI AWAL TAHUN, KARENA AKAN MENIMPA ABSEN QUOTA DATA YG SUDAH ADA APABILA
SEBELUMNYA DATA SUDAH TERISI

Files
GenerateAbsenQuotaYear.txt 1.19 KB 11/12/2024 shofwan shiddiq
GenerateAbsenQuotaYear.txt 2 KB 11/12/2024 shofwan shiddiq
